The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the YAML Configuration

Prev Next

This URL gets a YAML configuration details.

Resource URL

suricata/yaml/config

Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

Boolean

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Object

errorCode

Error code

Number

Details of fields in data:

Field Name

Description

Data Type

customized

Status of YAML customised configuration

Boolean

importDate

Import date

Number

importedBy

Details of the importer

String

importType

Details of import type

String

zipFile

Zip file details

Boolean

yamlFile

Details of YAMl file

String

configFiles

YAML configuration details

Array

Example

Request

GET https://<IPSM_IP>/sdkapi/suricata/yaml/config

Response

{    
    "success": true,    
    "msg": null,    
    "errMsg": null,    
    "data": {        
        "customized": true,        
        "importDate": 1763724444000,        
        "importedBy": "Administrator",        
        "importType": "yaml",        
        "zipFile": null,        
        "yamlFile": "custom.yaml",        
        "configFiles": []   
    },    
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues